Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.resources
[Java] Interface ResourceHandler

    public interface ResourceHandler

Provides access to resource-specific utility methods, for example factory methods that create various resources.

Method Summary
`ReadableResource` | `bzip2(Object path)` Creates resource that points to a bzip2 compressed file at the given path.
`ReadableResource` | `gzip(Object path)` Creates resource that points to a gzip compressed file at the given path.

Method Detail

### bzip2

    public ReadableResource bzip2(Object path)

  Creates resource that points to a bzip2 compressed file at the given path. The path is evaluated as for Project.file.
  Parameters:
    `path` - The path evaluated as for Project.file.

### gzip

    public ReadableResource gzip(Object path)

  Creates resource that points to a gzip compressed file at the given path. The path is evaluated as for Project.file.
  Parameters:
    `path` - The path evaluated as for Project.file.

Gradle API 1.1-rc-1